# Tomcat
server:
  tomcat:
    uri-encoding: UTF-8
    connection-timeout: 50000ms
    threads:
      max: 1600
      min-spare: 50
  servlet:
    context-path: /czg

spring:
  main:
    allow-circular-references: true
    allow-bean-definition-overriding: true
  # 环境 dev|test|prod
  profiles:
    active: dev
  # jackson时间格式化
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  servlet:
    multipart:
      max-file-size: 10240MB
      max-request-size: 10240MB
      enabled: true
  redis:
    open: true  # 是否开启redis缓存  true开启   false关闭
    database: 0
    host: 47.122.26.160
    port: 6379
    password: 111111    # 密码（默认为空）
    timeout: 6000ms  # 连接超时时长（毫秒）
    jedis:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms      # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接
  mvc:
    throw-exception-if-no-handler-found: true
#    pathmatch:
#      matching-strategy: ant_path_matcher
  shardingsphere:
    #广播表
#    broadcast-tables:
#      - course
    # 短剧集表 通过course_id 分
    course-details:
      - course_details
    #分库表 通过user_Id分
    region-tables:
      - user_money_details
      - sys_user_money_details
      - orders
      - course_collect
      - pay_details
      - disc_spinning_record
      - cash_out
      - course_user
      - tb_user
      - task_center_record
      - user_money
      - user_sign_record
      - invite_achievement
      - invite_money
      - user_info
      - sys_user
    #中心表
    center-tables:
      - sys_user_money
      - course
      - message_info
      - announcement
      - schedule_job_log
      - invite
      - msg
      - sys_role_menu
      - sdk_info
      - user_integral_details
      - common_info
      - sys_log
      - user_vip
      - uni_ad_callback_record
      - sys_user_role
      - sys_menu
      - comment_good
      - course_comment
      - banner
      - disc_spinning
      - course_classification
      - task_center
      - sdk_type
      - task_center_reward
      - schedule_job
      - help_word
      - help_classify
      - disc_spinning_amount
      - activity
      - vip_details
      - sys_role
      - pay_classify
      - app
      - invite_award
      - complet_award
      - url_address
      - sys_config
      - sys_dict
      - sys_oss
      - search
      - coupon_user
      - coupon
      - user_prize_exchange
      - user_integral
      - sys_user_token
      - sys_captcha
      - qrtz_triggers
      - qrtz_simprop_triggers
      - qrtz_simple_triggers
      - qrtz_scheduler_state
      - qrtz_paused_trigger_grps
      - qrtz_locks
      - qrtz_job_details
      - qrtz_fired_triggers
      - qrtz_cron_triggers
      - qrtz_calendars
      - qrtz_blob_triggers
      - tb_user_blacklist
      - tb_withdraw_blacklist

# 日志配置
logging:
  config: classpath:logback.xml

limit:
  urlRate: 10 # 同一用户单url每秒限制次数
  ipJumpLimit: 4 # 同一ip每分钟跳动次数

# 指定sharding-jdbc雪花算法的工作机器ID
snowflake:
  datacenterId: 1
  machineId: 3


management:
  health:
    db:
      enabled: false #关闭数据库健康检查isV
#mybatis
pagehelper:
  offsetAsPageNum: true
  rowBoundsWithCount: true
  helperDialect: mysql
  reasonable: false
  supportMethodsArguments: true
  params:
    count: countSql

sqx:
  redis:
    open: false
  shiro:
    redis: false
  # APP模块，是通过jwt认证的，如果要使用APP模块，则需要修改【加密秘钥】
  jwt:
    # 加密秘钥
    secret: f4e2e52034348f86b67cde581c0f9eb5
    # token有效时长，7天，单位秒
    expire: 604800
    header: token
  uni:
    adSecret: 122e4ff1edc66dcf8761f7f7ffc81e0f8773cbfafb58aed29c72fbd092c77315
